## org.apache.fop.fo.expr
Class PropertyParser

    java.lang.Object
      |
      +--org.apache.fop.fo.expr.PropertyTokenizer
            |
            +--org.apache.fop.fo.expr.PropertyParser

public class PropertyParser
extends org.apache.fop.fo.expr.PropertyTokenizer

Class to parse XSL FO property expression. This class is heavily based on the epxression parser in James Clark's XT, an XSLT processor.

Fields inherited from class org.apache.fop.fo.expr.PropertyTokenizer
`currentUnitLength`

Method Summary
`static Property` `parse(java.lang.String expr, PropertyInfo propInfo)` Public entrypoint to the Property expression parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static Property parse(java.lang.String expr,
                                 PropertyInfo propInfo)
                          throws PropertyException

  Public entrypoint to the Property expression parser.
  Parameters:
    `expr` - The specified value (attribute on the xml element).
    `propInfo` - A PropertyInfo object representing the context in which the property expression is to be evaluated.
  Returns:
    A Property object holding the parsed result.
  Throws:
    PropertyException - If the "expr" cannot be parsed as a Property.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.